pholio/new/ requires drag and drop
Closed, ResolvedPublic

Description

Nemo_bis created this task.Oct 10 2014, 3:41 PM
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.
Mattflaschen-WMF reopened this task as Open.Oct 24 2014, 10:59 PM

I don't think this is a duplicate. In most cases where files are used, you just use an F-number (e.g. F1). To get an F-number, you can:

  1. Drag and drop
  2. Use https://phabricator.wikimedia.org/file/upload/
  3. Use arc upload

However, I don't know if there's a way to create a mock (Pholio is the mock tool) from an F-number.

Qgil triaged this task as Lowest priority.Oct 26 2014, 5:46 AM
Mattflaschen-WMF updated the task description. (Show Details)

I am using a single-monitor setup with Xmonad where the browser has its own workspace (full screen) and I don't have any file managers.

How do I drag and drop? What is drag and drop, btw? I don't know what to do with this drop area.

Can't you just provide a clickable drag and drop box which opens a file dialog to upload a file?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 8:00 PM

https://en.wikipedia.org/wiki/Drag_and_drop

As far as I can tell, you need a graphical file manager and two windows in order to drag an image from the file manage window to the browser window. There is no vanilla file upload -- see the upstream task https://secure.phabricator.com/T6523 and feel free to comment there. We don't have resources to work on this ourselves, sorry.

If it helps, you can upload files via https://phabricator.wikimedia.org/file/upload/

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM

It looks like this is fixed now?

Aklapper closed this task as Resolved.Jul 8 2016, 3:54 PM
Aklapper claimed this task.

Fixed, indeed.

Thanks for the ping.

Peachey88 removed Aklapper as the assignee of this task.Jul 27 2016, 11:00 PM